Bug 2272712 - Logout after less than 60 seconds is broken in Plasma 6.0.3
Summary: Logout after less than 60 seconds is broken in Plasma 6.0.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-drkonqi
Version: 40
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Kyral
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa AcceptedFreezeException
Depends On:
Blocks: F40FinalBlocker F40FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2024-04-02 18:25 UTC by Adam Williamson
Modified: 2024-04-06 18:49 UTC (History)
9 users (show)

Fixed In Version: plasma-drkonqi-6.0.3-3.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-06 18:49:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE GitLab plasma drkonqi merge_requests 232 0 None merged coredump-processor: replace sleep hack with in-process sleep 2024-04-05 15:15:22 UTC
KDE Software Compilation 484864 0 NOR RESOLVED drkonqi-coredump-pickup.service breaks logging out during pre-start 2024-04-05 15:15:10 UTC

Description Adam Williamson 2024-04-02 18:25:35 UTC
From openQA testing today, it looks like log out from KDE just does not work:

https://openqa.fedoraproject.org/tests/2537667#

what happens in that test is we do some preparatory steps (creating test user accounts and so on), then log in as user Jack Sparrow, verify that we logged in successfully, then try to log out, the usual graphical way: click the kicker icon, click the little cryptic icon next to "shut down" which hides the log out option, click "Log Out", then click the "OK" button to confirm the logout. After this, we just wind up back at the desktop. No logout happens.

I've run the test twice and this has happened twice.

In the system journal I see:

Apr 02 10:57:41 fedora systemd[1129]: Started dbus-:1.2-org.kde.LogoutPrompt.
Apr 02 10:57:41 fedora ksmserver-logout-greeter[2521]: libEGL warning: egl: failed to create dri2 screen
Apr 02 10:57:41 fedora ksmserver-logout-greeter[2521]: MESA: error: ZINK: failed to choose pdev
Apr 02 10:57:41 fedora ksmserver-logout-greeter[2521]: libEGL warning: egl: failed to create dri2 screen
Apr 02 10:57:42 fedora ksmserver-logout-greeter[2521]: kf.windowsystem: static bool KX11Extras::compositingActive() may only be used on X11
Apr 02 10:57:43 fedora systemd[1129]: Started dbus-:1.2-org.kde.Shutdown.
Apr 02 10:57:43 fedora systemd[1129]: dbus-:1.2-org.kde.LogoutPrompt: Main process exited, code=exited, status=1/FAILURE
Apr 02 10:57:43 fedora systemd[1129]: dbus-:1.2-org.kde.LogoutPrompt: Failed with result 'exit-code'.
Apr 02 10:57:43 fedora systemd[1129]: dbus-:1.2-org.kde.LogoutPrompt: Consumed 1.594s CPU time.
Apr 02 10:57:46 fedora plasma-shutdown[2548]: libEGL warning: egl: failed to create dri2 screen
Apr 02 10:57:46 fedora plasma-shutdown[2548]: MESA: error: ZINK: failed to choose pdev
Apr 02 10:57:46 fedora plasma-shutdown[2548]: libEGL warning: egl: failed to create dri2 screen
Apr 02 10:57:46 fedora systemd[1129]: Stopped target plasma-workspace-wayland.target.
Apr 02 10:57:46 fedora systemd[1129]: Stopped target plasma-workspace.target - KDE Plasma Workspace.
Apr 02 10:57:46 fedora systemd[1129]: Requested transaction contradicts existing jobs: Transaction for graphical-session.target/stop is destructive (drkonqi-coredump-pickup.service has 'start' job queued, but 'stop' is included in transaction).
Apr 02 10:57:46 fedora systemd[1129]: graphical-session.target: Failed to enqueue stop job, ignoring: Transaction for graphical-session.target/stop is destructive (drkonqi-coredump-pickup.service has 'start' job queued, but 'stop' is included in transaction).
Apr 02 10:57:46 fedora systemd[1129]: Stopped target plasma-core.target - KDE Plasma Workspace Core.
Apr 02 10:57:46 fedora systemd[1129]: Stopped target xdg-desktop-autostart.target - Startup of XDG autostart applications.
Apr 02 10:57:46 fedora systemd[1129]: Stopped target graphical-session-pre.target - Session services which should run early before the graphical session is brought up.
Apr 02 10:58:01 fedora systemd[1129]: Started drkonqi-coredump-pickup.service - Consume pending crashes using DrKonqi.

Proposing as an F41 Beta blocker per https://fedoraproject.org/wiki/Fedora_41_Beta_Release_Criteria#Shutdown,_reboot,_login,_logout - "Shutting down, rebooting, logging in and logging out must work using standard console commands and the mechanisms offered (if any) by all release-blocking desktops."

Comment 1 Adam Williamson 2024-04-05 15:07:40 UTC
6.0.3 got into F40, so this is broken on F40 too: https://openqa.fedoraproject.org/tests/2546261 . Proposing as an F40 Final blocker under same criterion.

Comment 2 Neal Gompa 2024-04-05 15:08:38 UTC
Well, uhh, that's not good. :/

Comment 3 Adam Williamson 2024-04-05 15:15:11 UTC
Thanks to aleasto for pointing out the upstream issue. Looks like this only affects logging out within 60 seconds of logging in, which is less bad, but let's still consider it for blocker. And let's fix it, anyway. :)

Comment 4 Fedora Update System 2024-04-05 19:39:56 UTC
FEDORA-2024-668daf04ea (plasma-drkonqi-6.0.3-2.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-668daf04ea

Comment 5 Fedora Update System 2024-04-06 01:04:30 UTC
FEDORA-2024-668daf04ea has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-668daf04ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-668daf04ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Adam Williamson 2024-04-06 15:56:36 UTC
+3 (two for blocker, one for FE) in https://pagure.io/fedora-qa/blocker-review/issue/1567 so marking accepted FE at least, so we can push the fix and take this off the list. Also dropping F41 stuff as this is fixed there now.

Comment 7 Fedora Update System 2024-04-06 18:49:40 UTC
FEDORA-2024-668daf04ea (plasma-drkonqi-6.0.3-3.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.